Bug 2520 - smbd/chgpasswd.c needs type cast on dump_data() parameter
Summary: smbd/chgpasswd.c needs type cast on dump_data() parameter
Status: CLOSED FIXED
Alias: None
Product: Samba 3.0
Classification: Unclassified
Component: Build environment (show other bugs)
Version: 3.0.12
Hardware: SGI IRIX
: P4 normal
Target Milestone: none
Assignee: James Peach
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-22 12:43 UTC by Jason Mader (mail bounces back)
Modified: 2005-08-24 10:21 UTC (History)
0 users

See Also:


Attachments
remove semicolon (757 bytes, patch)
2005-08-09 09:30 UTC, Jason Mader (mail bounces back)
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader (mail bounces back) 2005-03-22 12:43:51 UTC
After the fix for Bug 2461 were applied, only these remain:

Compiling smbd/chgpasswd.c
cc-1164 cc: WARNING File = smbd/chgpasswd.c, Line = 973
  Argument of type "unsigned char *" is incompatible with parameter of type
          "const char *".
 
        dump_data(100, new_nt_p16, NT_HASH_LEN);
                       ^

cc-1164 cc: WARNING File = smbd/chgpasswd.c, Line = 974
  Argument of type "const unsigned char *" is incompatible with parameter of
          type "const char *".

        dump_data(100, pwhistory, PW_HISTORY_ENTRY_LEN*pwHisLen);
                       ^
Comment 1 Gerald (Jerry) Carter 2005-03-24 06:26:00 UTC
lowering priority
Comment 2 James Peach 2005-07-30 22:46:02 UTC
Reassign IRIX bugs to me.
Comment 3 Jason Mader (mail bounces back) 2005-08-09 09:30:07 UTC
Created attachment 1360 [details]
remove semicolon

also changes spacing, just for consistency
Comment 4 Jason Mader (mail bounces back) 2005-08-09 09:33:18 UTC
Comment on attachment 1360 [details]
remove semicolon

god... i hate when bugzilla advances to another bug...
Comment 5 Jason Mader (mail bounces back) 2005-08-12 17:24:13 UTC
Fixed by Jeremy in revision 7882
Comment 6 Gerald (Jerry) Carter 2005-08-24 10:21:20 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.